<?php
session_start();

# Class para os graficos
require_once($_SESSION["realPath"] . "/class/jgraph/src/jpgraph.php");
require_once($_SESSION["realPath"] . "/class/jgraph/src/jpgraph_bar.php");

// We need some data
$altura = $_GET['altura'];
$largura = $_GET['largura'];
$num = $_GET['num'];
$datax = $_SESSION['label'.$num];
$titulo = $_GET['titulo'];
$datay = unserialize($_GET['array']);

// Size of graph
$width=450; 
$height=400;

// Set the basic parameters of the graph 
#$graph = new Graph($width,$height,'auto');
$graph = new Graph($largura,$altura,'auto');
$graph->SetScale("textlin");

// No frame around the image
$graph->SetFrame(false);

// Rotate graph 90 degrees and set margin
$top = 50;
$bottom = 30;
$left = 150;
$right = 20;
$graph->Set90AndMargin($left,$right,$top,$bottom);

// Set white margin color
$graph->SetMarginColor('white');

// Use a box around the plot area
$graph->SetBox();

// Use a gradient to fill the plot area
$graph->SetBackgroundGradient('white','lightblue',GRAD_HOR,BGRAD_PLOT);

// Setup title
$graph->title->Set("$titulo");
//$graph->title->SetFont(FF_VERDANA,FS_BOLD,11);
$graph->title->SetFont(FF_FONT2,FS_BOLD);
$graph->subtitle->Set("WebChamado grfico de utilizao");

// Setup X-axis
$graph->xaxis->SetTickLabels($datax);
$graph->xaxis->SetFont(FF_VERDANA,FS_NORMAL,7);

// Some extra margin looks nicer
$graph->xaxis->SetLabelMargin(10);

// Label align for X-axis
$graph->xaxis->SetLabelAlign('right','center');

// Add some grace to y-axis so the bars doesn't go
// all the way to the end of the plot area
$graph->yaxis->scale->SetGrace(20);

// We don't want to display Y-axis
$graph->yaxis->Hide();

// Now create a bar pot
$bplot = new BarPlot($datay);
$bplot->SetShadow();

//You can change the width of the bars if you like
//$bplot->SetWidth(0.5);

// Set gradient fill for bars
$bplot->SetFillGradient('darkred','yellow',GRAD_HOR);

// We want to display the value of each bar at the top
$bplot->value->Show();
$bplot->value->SetFont(FF_ARIAL,FS_BOLD,10);
//$bplot->value->SetAlign('left','center');
$bplot->value->SetColor("white");
$bplot->value->SetFormat('%.1f');
$bplot->SetValuePos('max');

// Add the bar to the graph
$graph->Add($bplot);

// Add some explanation text
/*
$txt = new Text('Note: Higher value is better.');
$txt->SetPos(190,399,'center','bottom');
$txt->SetFont(FF_COMIC,FS_NORMAL,8);
$graph->Add($txt);
*/

// .. and stroke the graph
$graph->Stroke();
?>